// My File Manager (MFM).
//
// Copyright 2005-2006 by Stefano Gatti.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
//=====================================================================

#ifndef mfm_main_table_h
#define mfm_main_table_h

#include "table.hxx"


class class_mfm_main_table : public class_table {

private:

  void *ptr_class_mfm_window;

public:

  class_mfm_main_table(int x, int y, int w, int h, char *label, void *ptr);

  virtual void sort_func(int col, bool dir_up);

  void double_click_cb(int row);
  void button_2_cb(int row);
  void button_3_cb(int row);
  
  void button_3_release_cb(int row);
  void button_3_drag_cb(int row);
  
  int handle(int event);
};

#endif
